# is430_console_helpers.py
# library module contains helpers for console input


def get_int_from_console(prompt_string='Please enter an int value, <Enter> to stop: '):
    result = None
    string_entered = input(prompt_string)

    while string_entered != '' and result is None:
        try:
            result = int(string_entered)
        except ValueError:
            print('An integer value is required. You entered:', string_entered)
            string_entered = input(prompt_string)

    return result  # returns int value or returns None (when user has entered the empty string)


def get_float_from_console(prompt_string='Please enter a float value, <Enter> to stop: '):
    result = None
    string_entered = input(prompt_string)

    while string_entered != '' and result is None:
        try:
            result = float(string_entered)
        except ValueError:
            print('A float value is required. You entered:', string_entered)
            string_entered = input(prompt_string)

    return result  # returns float value or returns None (when user has entered the empty string)
